package Menu;

=pod
=head1 MODULE

Menu.pm - Menu module for 6reader

This module handles all the menus for 6reader.  Key and mouse
bindings are also handled here.

=cut

sub mainMenu {
  printf STDERR qq(Inside mainMenu\n) if ($::DEBUG);
  $::mw->configure(-menu => my $menubar = $::mw->Menu);

  my $file = $menubar->cascade(-label => '~File');
  my $edit = $menubar->cascade(-label => '~Edit');
  my $help = $menubar->cascade(-label => '~Help');

  $file->command(
		 -label       => 'Open',
		 -accelerator => 'Ctrl-o',
		 -underline   => 0,
		 -command     => \&FileMech::openFile
		); # $file->command
  $file->command(
		 -label       => "Close",
		 -accelerator => 'Ctrl-w',
		 -underline   => 0,
		 -command     => \&FileMech::closeFile
		); # $file->command
  $file->separator;
  $file->command(
		 -label       => "Quit",
		 -accelerator => 'Ctrl-q',
		 -underline   => 0,
		 -command     => \&Exit::cleanExit,
		); # $file->command
  $edit->command(
		 -label => 'Preferences ...',
		 -command => \&Preferences::postPreferences
		); # $edit->command

  $help->command(
		 -label => '6reader Help',
		 -command => \&Help::showHelp
		); # $help->command
  $help->separator;
  $help->command(
		 -label => 'About',
		 -command => \&About::showAbout
		); # $help->command
} # mainMenu
;1
